Summary: The Vixie cron daemon for executing specified programs at set times.
Name: vixie-cron
Version: 3.0.1
Release: 1.3.0
Copyright: distributable
Group: System Environment/Base
Source0: ftp://ftp.vix.com/pub/vixie/vixie-cron-3.0.1.tar.gz
Source1: vixie-cron.init
Source2: cron.log
Source3: vixie-cron.allow
Patch0: vixie-cron-3.0.1-redhat.patch
Patch1: vixie-cron-3.0.1-security.patch
Patch2: vixie-cron-3.0.1-security2.patch
Patch3: vixie-cron-3.0.1-badsig.patch
Patch4: vixie-cron-3.0.1-crontab.patch
Patch5: vixie-cron-3.0.1-sigchld.patch
Patch6: vixie-cron-3.0.1-sprintf.patch
Patch7: vixie-cron-3.0.1-sigchld2.patch
Patch8: vixie-cron-3.0.1-crond.patch
Patch9: vixie-cron-3.0.1-dst.patch
Patch10: vixie-cron-3.0.1-0days.patch
Patch11: vixie-cron-3.0.1-nodot.patch
Patch12: vixie-cron-3.0.1-syslog.patch
Patch13: vixie-cron-3.0.1-crontabloc.patch
Patch14: vixie-cron-3.0.1-name.patch
Patch15: vixie-cron-3.0.1-time.patch
Patch16: vixie-cron-3.0.1-newtime.patch
Patch17: vixie-cron-3.0.1-buffer.patch
Patch18: vixie-cron-3.0.1-timeaftertime.patch
Patch19: vixie-cron-3.0.1-cront_stdin.patch
Patch20: vixie-cron-3.0.1-fd-leak-fix-gd-1.diff
Buildroot: /var/tmp/%{name}-root
Prereq: /sbin/chkconfig

%description
The vixie-cron package contains the Vixie version of cron.  Cron is a
standard UNIX daemon that runs specified programs at scheduled times.
Vixie cron adds better security and more powerful configuration
options to the standard version of cron.

%prep
%setup
%patch0 -p1 -b .norh
%patch1 -p1 -b .nomisc
%patch2 -p1 -b .security2
%patch3 -p1 -b .badsig
%patch4 -p1 -b .crontabhole
%patch5 -p1 -b .sigchld
%patch6 -p1 -b .sprintf
%patch7 -p1 -b .sigchld
%patch8 -p1 -b .crond
%patch9 -p1 -b .dst
%patch10 -p1 -b .0days
%patch11 -p1 -b .nodot
%patch12 -p1 -b .syslog
%patch13 -p1 -b .crontabloc
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{1,5,8}
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/{init.d,rc{0,1,2,3,4,5,6}.d}
make DESTDIR=$RPM_BUILD_ROOT DESTMAN=%{_mandir}
mkdir -p -m750 $RPM_BUILD_ROOT/var/spool/cron
mkdir -p -m750 $RPM_BUILD_ROOT/etc/cron.d

install -m700 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/crond
install -m755 cron $RPM_BUILD_ROOT/%{_sbindir}/crond
install -m4755 crontab $RPM_BUILD_ROOT%{_bindir}/

install -m644 crontab.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -m644 cron.8 $RPM_BUILD_ROOT/%{_mandir}/man8
install -m644 cron.8 $RPM_BUILD_ROOT/%{_mandir}/man8/crond.8
install -m644 crontab.5 $RPM_BUILD_ROOT/%{_mandir}/man5

cd $RPM_BUILD_ROOT/etc

install -m400 $RPM_SOURCE_DIR/vixie-cron.allow $RPM_BUILD_ROOT/etc/cron.allow

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m640 $RPM_SOURCE_DIR/cron.log $RPM_BUILD_ROOT/etc/logrotate.d/cron

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add crond

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del crond
fi

%postun
if [ $1 = 0 ]; then 
    rm -fr /var/log/cron.*
fi

%files

%defattr(-,root,root)
%attr(0750,root,root)	/usr/sbin/crond
%doc %{_mandir}/man8/crond.*
%doc %{_mandir}/man8/cron.*
%doc %{_mandir}/man5/crontab.*
%doc %{_mandir}/man1/crontab.*

%attr(0750,root,admin)	/usr/bin/crontab
%dir /var/spool/cron
%dir /etc/cron.d
%attr(0400,root,root)	/etc/cron.allow

%attr(0700,root,root)	%config /etc/init.d/crond
%attr(0640,root,root)	%config /etc/logrotate.d/cron

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Tue Feb 25 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.0.1, Release 1.5.2
  - Don't leak file descriptors when reading allow/deny files.

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.0.1, Release 1.5.1
  - Bring in patches from Red Hat to fix build issues.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.0.1, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Thu Mar 15 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscripts.

* Mon Dec 04 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 700 /etc/init.d/cron

* Sun Dec 03 2000 Dave Wreski <dave@guardiandigital.com>
- use chkconfig instead of ln

* Tue Nov 07 2000 Pete O'Hara <pete@guardiandigital.com>
- fixed a bad /etc/init.d/crond symlink

* Thu Oct 26 2000 Pete O'Hara <pete@guardiandigital.com>
- moved /etc/rc.d/* to /etc

* Thu Jun  8 2000 Pete O'Hara <pete@guardiandigital.com>
- removed suid bit and world access on /usr/bin/crontab
- removed world access on /etc/rc.d/init.d/crond, 
	/usr/sbin/crond, /etc/logrotate.d/cron,
	/etc/cron.allow
	for Guardian Digital Linux Lockbox
